
/*
:root {
    --green: #6aaa64;
    --darkendGreen: #538d4e;
    --yellow: #c9b458;
    --darkendYellow: #b59f3b;
    --lightGray: #d8d8d8;
    --gray: #86888a;
    --darkGray: #939598;
    --white: #fff;
    --black: #212121;
    --orange: #f5793a;
    --blue: #85c0f9;
}
*/

/* START - https://dev.to/ananyaneogi/create-a-dark-light-mode-switch-with-css-variables-34l8 */
:root {
	font-family: 'Clear Sans', 'Helvetica Neue', Arial, sans-serif;
    font-size: 16px;
    --primary-color: #302AE6;
    --secondary-color: #536390;
    --font-color: #424242;
    --bg-color: #fff;
    --heading-color: #292922;
    --header-height: 50px;
    --keyboard-height: 200px;
    --game-max-width: 500px;		
}

[data-theme="dark"] {
    --primary-color: #9A97F3;
    --secondary-color: #818cab;
    --font-color: #e1e1ff;
    --bg-color: #161625;
    --heading-color: #818cab;
}


/*Simple css to style it like a toggle switch*/
.theme-switch-wrapper {
  display: flex;
  align-items: center;

  em {
    margin-left: 10px;
    font-size: 1rem;
  }
}
.theme-switch {
  display: inline-block;
  height: 34px;
  position: relative;
  width: 60px;
}

.theme-switch input {
  display:none;
}

.slider {
  background-color: #ccc;
  bottom: 0;
  cursor: pointer;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  transition: .4s;
}

.slider:before {
  background-color: #fff;
  bottom: 4px;
  content: "";
  height: 26px;
  left: 4px;
  position: absolute;
  transition: .4s;
  width: 26px;
}

input:checked + .slider {
  background-color: #66bb6a;
}

input:checked + .slider:before {
  transform: translateX(26px);
}

.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

/* END - https://dev.to/ananyaneogi/create-a-dark-light-mode-switch-with-css-variables-34l8 */

body {
	background-color: var(--bg-color);
	/* color: var(--font-color); */
	color: 000;
}

.toaster {
	position: absolute;
	top: 10%;
	left: 50%;
	transform: translate(-50%, 0);
	pointer-events: none;
	width: fit-content;
}

#game-toaster {
	z-index: 1000;
}
#system-toaster {
	z-index: 4000;
}

#game {
	width: 100%;
	max-width: var(--game-max-width);
	margin: 0 auto;
	height: 100%;
	display: flex;
	flex-direction: column;
}

header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	height: var(--header-height);
	color: var(--font-color);
	/* border-bottom: 1px solid var(--color-tone-4); */
	margin-bottom: 35px;
}

header .title {
	font-weight: 700;
	font-size: 36px;
	letter-spacing: 0.2rem;
	text-transform: uppercase;
	text-align: center;
	position: absolute;
	left: 0;
	right: 0;
	pointer-events: none;

}

header .subtitle {
	margin: auto;
	margin-top: 50px;
	font-weight: 100;
	font-size: 12px;
	letter-spacing: 0.2rem;
	text-transform: uppercase;
	text-align: center;
	position: absolute;
	left: 0;
	right: 0;
	pointer-events: none;
}

h1 {
 text-align: center;
}

#game {
    width: 100%;
    max-width: var(--game-max-width);
    margin: 0 auto;
    height: 100%;
    display: flex;
    flex-direction: column;

}





@media (max-width: 360px) {
header .title {
  font-size: 22px;
  letter-spacing: 0.1rem;
}
}




#board-container {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-grow: 1;
	overflow: hidden;
}

#board {
	display: grid;
	grid-template-rows: repeat(6, 1fr);
	grid-gap: 5px;
	padding:10px;
	box-sizing: border-box;
}

button.icon {
	background: none;
	border: none;
	cursor: pointer;
	padding: 0 4px;
}

#debug-tools {
	position: absolute;
	bottom: 0;
}

div {
	display: block;
}


#game-board {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.letter-box {
  border: 2px solid gray;
  border-radius: 3px;
  margin: 2px;
  font-size: 2.5rem;
  font-weight: 700;
  height: 3rem;
  width: 3rem;
  display: flex;
  justify-content: center;
  align-items: center;
  text-transform: uppercase;
}

.filled-box {
  border: 2px solid black;
}

.letter-row {
  display: flex;
}

#keyboard-cont {
  margin: 1rem 0;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#keyboard-cont div {
  display: flex;
}

.second-row {
  margin: 0.5rem 0;
}

.forth-row {
  margin: 0.5rem 0;
}

.keyboard-button {
  font-size: 1rem;
  font-weight: 700;
  padding: 0.5rem;
  margin: 0 2px;
  cursor: pointer;
  text-transform: uppercase;
}

#Progress_Status {
  width: 50%;
  background-color: #ddd;
}
  
#progressBar {
  width: 1%;
  height: 35px;
  background-color: #4CAF50;
  text-align: center;
  line-height: 32px;
  color: black;
}

#ui-output {
	flex-direction: column;
	margin: auto;
	width: 17rem;
	height: 6rem;
	background-color: #eeeeee;
	text-align: center;
	line-height: 22px;
	color: black;
	border: 2px solid gray;
	border-radius: 3px;
	font-size: 1.0rem;
	font-weight: 700;
	/* height: 3rem; */
	display: flex;
	justify-content: center;
	align-items: center;
	text-transform: uppercase;
}

.ui-words {
    display: grid;
    grid-template-rows: 1.2rem 1.2rem 1.2rem;
    grid-template-columns: 5rem 5rem 5rem;
}


.ui-word {
  background: #EEE;
  /* border: 1px solid #555; */
  display: flex;
  align-items: center;
  justify-content: center;
  color: #000;
}







/* FROM ORIGINAL WORDLE JAVASCRIPT */

#instructions {
    font-size: 14px;
    color: var(--font-color);
  }




.section {
    padding: 16px;
    padding-top: 0px;
  }
  
  
.game-tile {
	width: 40px;
	height: 40px;
	border: 2px solid gray;
	border-radius: 3px;
	/*margin: 2px;*/
	font-size: 2.5rem;
	font-weight: 700;
	display: inline-block;
	justify-content: center;
	align-items: center;
	text-transform: uppercase;
	text-align: center;
	margin: auto;
}



.row {
	/*padding-left: 40px;*/
}


.overlay {
	display: flex;
	justify-content: space-between;
	align-items: center;
	height: var(--header-height);
	color: var(--font-color);
	border-bottom: 1px solid var(--color-tone-4);
	margin-bottom: 35px;
	display: block;
	background: var(--bg-color);
	z-index: 400;
}



.instructions {
	align-items: center;
	margin:auto;
	margin-top: -20px;
	border-style: solid;
	width:290px;
	padding: 35px;
	color: var(--font-color);
	background-color: var(--bg-color);
	border-radius: 15px;
	z-index: 4;
}

.CloseIcon{
	cursor: pointer;
}


.strategy {
	display: flex;
	justify-content: space-between;
	align-items: center;
	height: var(--header-height);
	color: var(--color-tone-1);
	border-bottom: 1px solid var(--color-tone-4);
	margin-bottom: 35px;
	display: none;
	background: var(--bg-color);
	z-index: 400;
}

.popup {		
	align-items: center; 
	margin-top: 20px;
	border-style: solid;
	padding: 35px;
	border-radius: 15px;
	width: 290px;
	height: 50%;
	border-radius: 3px;
	top: 50px;
	z-index: 4;
	color: var(--font-color);
	background-color: var(--bg-color);
}

.popup-strategy {
	align-items: center;
	margin:auto;
	margin-top: -20px;
	border-style: solid;
	width:290px;
	padding: 35px;
	background-color: rgba(255, 255, 255, 1);
	border-radius: 15px;
	z-index: 4;
	color: var(--font-color);
	background-color: var(--bg-color);
}

.CloseStrategyIcon{
	cursor: pointer;
}